%define debug_package %{nil}

%define libname %mklibname fmod %{version}
%define devname %mklibname %{name} -d

%define sversion %(echo %{version} | sed s,\\\\.,,g)

Summary:	Fast, powerful, easy to use sound system
Name:		fmod4
Version:	4.26.36
Release:	2
License:	Proprietary
Group:		System/Libraries
Url:		http://www.fmod.org/
Source0:	http://www.fmod.org/download/fmodex/api/Linux/fmodapi%{sversion}linux.tar.gz
Source1:	http://www.fmod.org/download/fmodex/api/Linux/fmodapi%{sversion}linux64.tar.gz
ExclusiveArch:	%{ix86} x86_64

%description
FMOD is a fast, powerful, and easy to use sound system. It runs on Windows,
Linux, Windows CE, and now also on Macintosh, GameCube, PS2, and XBox.
FMOD supports 3D sound, midi, mods, mp3, ogg vorbis, wma, aiff, recording,
obstruction/occlusion, cd playback (analog or digital), cd ripping, mmx,
internet streaming, dsp effects, spectrum analysis, user created samples and
streams, synchronization support, ASIO, EAX 2&3, C/C++/VB/Delphi and more.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Fast, powerful, easy to use sound system
Group:		System/Libraries

%description -n %{libname}
FMOD is a fast, powerful, and easy to use sound system. It runs on Windows,
Linux, Windows CE, and now also on Macintosh, GameCube, PS2, and XBox.
FMOD supports 3D sound, midi, mods, mp3, ogg vorbis, wma, aiff, recording,
obstruction/occlusion, cd playback (analog or digital), cd ripping, mmx,
internet streaming, dsp effects, spectrum analysis, user created samples and
streams, synchronization support, ASIO, EAX 2&3, C/C++/VB/Delphi and more.

%files -n %{libname}
%doc documentation/LICENSE.TXT documentation/revision.txt
%ifarch %{ix86}
%{_libdir}/libfmodex-%{version}.so
%{_libdir}/libfmodexL-%{version}.so
%{_libdir}/libfmodexp-%{version}.so
%else
%{_libdir}/libfmodex64-%{version}.so
%{_libdir}/libfmodex64L-%{version}.so
%{_libdir}/libfmodexp64-%{version}.so
%endif

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for FMOD4
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for FMOD4.

%files -n %{devname}
%doc documentation/*.pdf
%{_includedir}/fmodex/*.h
%ifarch %{ix86}
%{_libdir}/libfmodex.so
%{_libdir}/libfmodexL.so
%{_libdir}/libfmodexp.so
%else
%{_libdir}/libfmodex64.so
%{_libdir}/libfmodex64L.so
%{_libdir}/libfmodexp64.so
%endif

#----------------------------------------------------------------------------

%prep
%setup -qc -a1

%build

%install
%ifarch %{ix86}
cd fmodapi%{sversion}linux
%else
cd fmodapi%{sversion}linux64
%endif

mkdir -p %{buildroot}%{_includedir}/fmodex
mkdir -p %{buildroot}%{_libdir}

cp api/inc/*.h %{buildroot}%{_includedir}/fmodex
cp api/lib/*.so %{buildroot}%{_libdir}/

cp -r documentation ..

%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.26.36-2
- (ac387a3) MassBuild#1250: Increase release tag


